package de.fhmuenster.masterthesis.serialization;

import java.util.ArrayList;
import java.util.List;

public class VariableProposal<T extends Object> {

	private String variable;
	private List<T> proposals;
	private Class<T> type;
	
	public VariableProposal() {
		this.proposals = new ArrayList<>();
	}
	
	public VariableProposal(String variable, List<T> proposals, Class<T> type) {
		this.variable = variable;
		this.proposals = proposals;
		this.type = type;
	}

	public String getVariable() {
		return variable;
	}

	public void setVariable(String variable) {
		this.variable = variable;
	}

	public List<T> getProposals() {
		return proposals;
	}

	public void setProposals(List<T> proposals) {
		this.proposals = proposals;
	}
	
	public String getType() {
		return type.getName();
	}
}
